Index: Build
===================================================================
RCS file: Build
diff -N Build
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ Build	22 Mar 2004 01:16:26 -0000	1.6
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+source ../Config.sh
+
+pp_build_local () {
+    make \
+	JAVA="${PP_JAVA_HOME}/bin/java" \
+	JAR="${PP_JAVA_HOME}/bin/jar" \
+	JAVAC="${PP_JAVA_HOME}/bin/javac" \
+	JAVADOC="${PP_JAVA_HOME}/bin/javadoc" \
+	JAVAH="${PP_JAVA_HOME}/bin/javah" \
+	build small \
+      && echo "Copy jar/jta20-small.jar to $DESTDIR/lib/webpages/jta20.jar ... " \
+      && install -m 644 jar/jta20-small.jar "$DESTDIR/lib/webpages/jta20.jar"
+}
+
+pp_do "$@"
\ No newline at end of file
Index: Makefile
===================================================================
RCS file: /srv/CVS/eric_firmware/jta/Makefile,v
retrieving revision 1.1.32.1
retrieving revision 1.4
diff -u -r1.1.32.1 -r1.4
--- Makefile	8 Sep 2003 14:04:31 -0000	1.1.32.1
+++ Makefile	21 Apr 2005 11:59:37 -0000	1.4
@@ -26,7 +26,7 @@
 #JAVADOC	=	/q/opt/jdk1.2.2/bin/javadoc
 #DEBUG	=	-g -deprecation
 DEBUG	=	-g
-JFLAGS	=	-classpath $(CLASSPATH):.
+JFLAGS	=	-target 1.1 -source 1.3 -encoding ISO-8859-1 -O -classpath $(CLASSPATH):.
 SRCDIR	=	de
 PKGNAME	=	jta20
 VERSION	=	`java -version 2>&1 | head -1 | \
@@ -146,13 +146,30 @@
 	  @echo Created REVISION.
 
 small: app
-	jar cvf jar/jta20-small.jar \
+	${JAR} cvf jar/jta20-small.jar \
 		license/README \
-		de/mud/jta/SmallApplet*class \
-		de/mud/telnet/TelnetProtocolHandler.class \
+		de/mud/jta/Applet*class \
 		de/mud/terminal/VDU*class \
 		de/mud/terminal/vt320*class \
-		de/mud/terminal/SoftFont.class
+		de/mud/terminal/SoftFont.class \
+		de/mud/jta/event/*class \
+		de/mud/jta/Plugin*.class \
+		de/mud/jta/plugin/S*class \
+		de/mud/jta/plugin/Handler*class \
+		de/mud/jta/plugin/Telnet*class \
+		de/mud/jta/plugin/Terminal*class \
+		de/mud/jta/plugin/Timeout*class \
+		de/mud/jta/Common*class \
+		de/mud/jta/FilterPlugin*class \
+		de/mud/jta/VisualPlugin*class \
+		de/mud/jta/Version*class \
+		de/mud/jta/Main*class \
+		de/mud/jta/VisualTransferPlugin*class \
+		de/mud/jta/Build.class \
+		de/mud/telnet/*class \
+		de/mud/jta/default.conf \
+		de/mud/terminal/*.conf
+			
 
 # 
 # application dependencies
Index: de/mud/jta/plugin/Socket.java
===================================================================
RCS file: /srv/CVS/eric_firmware/jta/de/mud/jta/plugin/Socket.java,v
retrieving revision 1.1.32.1
retrieving revision 1.2
diff -u -r1.1.32.1 -r1.2
--- de/mud/jta/plugin/Socket.java	8 Sep 2003 14:04:32 -0000	1.1.32.1
+++ de/mud/jta/plugin/Socket.java	19 Sep 2003 08:17:29 -0000	1.2
@@ -45,7 +45,7 @@
  * <P>
  * <B>Maintainer:</B> Matthias L. Jugel
  *
- * @version $Id: Socket.java,v 1.1.32.1 2003/09/08 14:04:32 chkr Exp $
+ * @version $Id: Socket.java,v 1.2 2003/09/19 08:17:29 chkr Exp $
  * @author Matthias L. Jugel, Marcus Meißner
  */
 public class Socket extends Plugin 
@@ -109,8 +109,8 @@
         write(("relay "+host+" "+port+"\n").getBytes());
     } catch(Exception e) {
       error = "Sorry, Could not connect: "+e+"\r\n\r\n"+
-              "Your are either behind a firewall or the Java Telnet Applet\r\n"+
-	      "has a broken configuration.\r\n\r\n"+
+              "You are either behind a firewall or the Java Telnet Applet\r\n"+
+	      "has a wrong configuration.\r\n\r\n"+
               "If unsure, please contact the administrator "+
               "of the web page.\r\n";
       error("can't connect: "+e);
Index: de/mud/terminal/vt320.java
===================================================================
RCS file: /srv/CVS/eric_firmware/jta/de/mud/terminal/vt320.java,v
retrieving revision 1.1.32.1
retrieving revision 1.3
diff -u -r1.1.32.1 -r1.3
--- de/mud/terminal/vt320.java	8 Sep 2003 14:04:32 -0000	1.1.32.1
+++ de/mud/terminal/vt320.java	6 Apr 2004 14:51:52 -0000	1.3
@@ -33,14 +33,14 @@
  * <P>
  * <B>Maintainer:</B> Marcus Meißner
  *
- * @version $Id: vt320.java,v 1.1.32.1 2003/09/08 14:04:32 chkr Exp $
+ * @version $Id: vt320.java,v 1.3 2004/04/06 14:51:52 miba Exp $
  * @author  Matthias L. Jugel, Marcus Meißner
  */
 public abstract class vt320 extends VDU implements KeyListener {
   /** The current version id tag.<P>
-   * $Id: vt320.java,v 1.1.32.1 2003/09/08 14:04:32 chkr Exp $
+   * $Id: vt320.java,v 1.3 2004/04/06 14:51:52 miba Exp $
    */
-  public final static String ID = "$Id: vt320.java,v 1.1.32.1 2003/09/08 14:04:32 chkr Exp $";
+  public final static String ID = "$Id: vt320.java,v 1.3 2004/04/06 14:51:52 miba Exp $";
 
   /** the debug level */
   private final static int debug = 0;
@@ -688,7 +688,7 @@
       case KeyEvent.VK_PAGE_UP: writeSpecial(PrevScn[xind]); break;
       case KeyEvent.VK_INSERT: writeSpecial(Insert[xind]); break;
       case KeyEvent.VK_DELETE: writeSpecial(Remove[xind]); break;
-      case KeyEvent.VK_ESCAPE: writeSpecial(Escape[xind]); break;
+      //case KeyEvent.VK_ESCAPE: writeSpecial(Escape[xind]); break;
       case KeyEvent.VK_BACK_SPACE: writeSpecial(BackSpace[xind]); break;
       case KeyEvent.VK_HOME: writeSpecial(KeyHome[xind]); break;
       case KeyEvent.VK_END: writeSpecial(KeyEnd[xind]); break;
